> For the complete documentation index, see [llms.txt](https://docs.akamas.io/quick-guides/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/quick-guides/quick-guides-akamas-in-a-box/aiab-03-optimize-a-java-based-application-konakart-with-lre/aiab-03-create-the-telemetry-instances.md).

# \[AIAB-03] Create the telemetry instances

Telemetry instances need to be created to allow Akamas to leverage data collected from LoadRunner Enterprise (web application metrics) and Prometheus (JVM and OS metrics).

#### Prometheus telemetry instance <a href="#user-content-prometheus-telemetry-instance" id="user-content-prometheus-telemetry-instance"></a>

The Prometheus telemetry instance collects metrics for a variety of technologies, including JVM and Linux OS metrics. Moreover, it can also be easily extended to import additional metrics (via custom promQL queries). In this example, you are going to use Prometheus to import JVM metrics exposed by the Prometheus JMX exporter.

First, update the `tel_prometheus.yaml` file replacing the *target\_host* placeholder with the address of your Konakart instance:

```yaml
provider: Prometheus
config:
  address: target_host
  port: 9090
```

And then create a telemetry instance associated with the `konakart` system:

```bash
akamas create telemetry-instance tel_prometheus.yaml konakart
```

#### LoadRunner Enterprise telemetry instance <a href="#user-content-loadrunner-enterprise-telemetry-instance" id="user-content-loadrunner-enterprise-telemetry-instance"></a>

As described in the LRE integration guide you need an instance of InfluxDB running in your environment to act as an external analysis server for your LRE instance. Therefore, the telemetry instance needs to provide all the configurations required to connect to that InfluxDB server.

The file `tel_lre.yaml` is an example of a LRE telemetry instance. Make sure to replace the variables with the actual values of your configurations:

```yaml
provider: LoadRunnerEnterprise
config:
  address: http://target_host
  port: target_influx_port
  username: influx_user
  password: influx_user_password
  database: influx_database_schema
```

and then create the telemetry instance:

```bash
akamas create telemetry-instance tel_lre.yaml konakart
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.akamas.io/quick-guides/quick-guides-akamas-in-a-box/aiab-03-optimize-a-java-based-application-konakart-with-lre/aiab-03-create-the-telemetry-instances.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
